Subject: bug#58204: guix system reconfigure hangs silently when substitute server is unreachable

From: Ludovic Courtès <[email-masked]>
Date: Mon, 03 Oct 2022 23:29:57 +0200

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> While fixing up Berlin today, I had to use '--no-substitutes' on the
> daemon started per 'info (guix)Chrooting', otherwise it'd hang up
> without printing any of the warnings (totally silent).  Using strace, I
> could see:
>
> guix substitute: warning: ci.guix.gnu.org: host not found: System error
>
> It'd be nice if these warnings were propagated all the way up so the
> user would realize what is happening and take action.

I think it’s supposed to be propagated.

In the example above, I guess there were cached ci.guix.gnu.org narinfos
for those substitutes and the “host not found” error arose when actually
trying to substitute these, right?

I’m surprised substitution didn’t just crash.

Thanks,
Ludo’.